Bug 230429 - net-p2p/bitcoin: Update to 0.16.2
Summary: net-p2p/bitcoin: Update to 0.16.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-07 08:21 UTC by Kevin Bowling
Modified: 2018-08-22 15:35 UTC (History)
3 users (show)

See Also:
kbowling: maintainer-feedback+


Attachments
bitcoin-0.16.2.patch (1.33 KB, patch)
2018-08-07 08:21 UTC, Kevin Bowling
kbowling: maintainer-approval+
Details | Diff
bitcoin-0.16.2.patch v2 (2.48 KB, patch)
2018-08-07 09:10 UTC, Kevin Bowling
kbowling: maintainer-approval+
Details | Diff
freedesktop icon we were using not included in deterministic tarball (10.39 KB, image/png)
2018-08-07 09:12 UTC, Kevin Bowling
no flags Details
Updated patch with icon being fetched from LOCAL distfiles (2.12 KB, patch)
2018-08-20 20:47 UTC, Steve Wills
kbowling: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Bowling freebsd_committer 2018-08-07 08:21:40 UTC
Created attachment 195967 [details]
bitcoin-0.16.2.patch

* Update to 0.16.2
* Relnotes https://github.com/bitcoin/bitcoin/blob/master/doc/release-notes/release-notes-0.16.2.md
* Switch away from using GitHub source tarballs per messages on https://github.com/bitcoin/bitcoin/releases about deterministic tarballs.  The source has a SHA256 file that is GPG signed for verification with our ports SHA256.

portlint is currently broken on my machine (perl?) so I can't verify the Makefile variables are in correct order, please correct during commit if it's something trivial.
Comment 1 Kevin Bowling freebsd_committer 2018-08-07 08:24:31 UTC
For the last bullet point above I meant to say the mastersite directory has a SHA256 file with integral GPG info https://bitcoincore.org/bin/bitcoin-core-0.16.2/SHA256SUMS.asc
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-08-07 08:35:21 UTC
Reporter is maintainer (and committer, no?), assign accordingly
Comment 3 Kevin Bowling freebsd_committer 2018-08-07 09:10:44 UTC
Created attachment 195969 [details]
bitcoin-0.16.2.patch v2

The deterministic files lack the freedesktop stuff we were using.  Add it to files/.  I will also be uploading a 12KB binary image bitcoin128.png that should also go in files/bitcoin128.png unless there is some better method of distributing this.
Comment 4 Kevin Bowling freebsd_committer 2018-08-07 09:12:19 UTC
Created attachment 195970 [details]
freedesktop icon we were using not included in deterministic tarball
Comment 5 Steve Wills freebsd_committer 2018-08-17 19:40:34 UTC
(In reply to Kevin Bowling from comment #4)
Is there a URL where we could fetch this?
Comment 6 Kevin Bowling freebsd_committer 2018-08-17 22:15:16 UTC
(In reply to Steve Wills from comment #5)
Not sure of a reliable distribution point, it is there in the git repo still just not in the cmake driven tarball.
Comment 7 Steve Wills freebsd_committer 2018-08-19 14:30:28 UTC
(In reply to Kevin Bowling from comment #6)
I'll copy it to my local distfiles and use LOCAL.
Comment 8 Steve Wills freebsd_committer 2018-08-20 20:47:52 UTC
Created attachment 196401 [details]
Updated patch with icon being fetched from LOCAL distfiles

Here's an updated patch with the icon being fetched from the LOCAL distfiles. Look good?
Comment 9 Kevin Bowling freebsd_committer 2018-08-21 00:07:29 UTC
Looks good assuming you will do the file add https://bugs.freebsd.org/bugzilla/attachment.cgi?id=195969&action=diff#b/net-p2p/bitcoin/files/bitcoin-qt.desktop_sec1
Comment 10 commit-hook freebsd_committer 2018-08-22 15:34:55 UTC
A commit references this bug:

Author: swills
Date: Wed Aug 22 15:33:57 UTC 2018
New revision: 477794
URL: https://svnweb.freebsd.org/changeset/ports/477794

Log:
  net-p2p/bitcoin: Update to 0.16.2

  PR:		230429
  Submitted by:	kbowling (maintainer)

Changes:
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/bitcoin/distinfo
  head/net-p2p/bitcoin/files/bitcoin-qt.desktop
Comment 11 Steve Wills freebsd_committer 2018-08-22 15:35:11 UTC
Committed, thanks!